| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions

# Tp::OptionalInterfaceCache Class Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/optional-interface-factory.h>`

Inherited by Tp::OptionalInterfaceFactory< Account > `[private]`, Tp::OptionalInterfaceFactory< AccountManager > `[private]`, Tp::OptionalInterfaceFactory< Channel > `[private]`, Tp::OptionalInterfaceFactory< ChannelDispatchOperation > `[private]`, Tp::OptionalInterfaceFactory< ChannelRequest > `[private]`, Tp::OptionalInterfaceFactory< Connection > `[private]`, Tp::OptionalInterfaceFactory< ConnectionManager > `[private]`, and Tp::OptionalInterfaceFactory< DBusProxySubclass > `[private]`.

List of all members.

## Public Member Functions

- OptionalInterfaceCache (QObject *proxy)
- ~OptionalInterfaceCache ()

## Protected Member Functions

- AbstractInterface * getCached (const QString &name) const
- void cache (AbstractInterface *interface) const
- QObject * proxy () const

## Constructor & Destructor Documentation

Tp::OptionalInterfaceCache::OptionalInterfaceCache | ( | QObject * | proxy | ) | `[explicit]`

Class constructor.

Tp::OptionalInterfaceCache::~OptionalInterfaceCache | ( |  | ) |

Class destructor.

Frees all interface instances constructed by this factory.

## Member Function Documentation

AbstractInterface * Tp::OptionalInterfaceCache::getCached | ( | const QString & | name | ) | const`[protected]`

void Tp::OptionalInterfaceCache::cache | ( | AbstractInterface * | interface | ) | const`[protected]`

QObject * Tp::OptionalInterfaceCache::proxy | ( |  | ) | const`[protected]`